Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.alm.channels
Class CContentSubscriber

    java.lang.Object
      org.jasig.portal.channels.BaseChannel
          org.jasig.portal.layout.alm.channels.FragmentManager
              org.jasig.portal.layout.alm.channels.CContentSubscriber

All Implemented Interfaces:
  IChannel, IPrivileged

    public class CContentSubscriber

extends FragmentManager

A channel for adding new content to a layout. Prior to uPortal 2.5, this channel lived in the org.jasig.portal.layout.channels package. Since it is part of Aggregated Layouts, it was moved to its present package for uPortal 2.5.

Since:
  uPortal 2.5
Version:
  $Revision: 1.1 $
Author:
  Michael Ivanov, mvi@immagic.com

Nested Class Summary
`private class` | `CContentSubscriber.ListItem`

Field Summary
`private static java.lang.String` | `CATEGORY`
`private static java.lang.String` | `CHANNEL`
`private org.w3c.dom.Document` | `channelRegistry`
`private java.util.Vector` | `condensedItems`
`private java.util.Vector` | `expandedItems`
`private static java.lang.String` | `FRAGMENT`
`private boolean` | `initRegistry`
`private static org.apache.commons.logging.Log` | `log`
`private org.w3c.dom.Document` | `registry`
`private java.lang.String` | `searchCategory`
`private java.lang.String` | `searchChannel`
`private java.lang.String` | `searchFragment`
`private java.lang.String` | `searchQuery`
`private static java.lang.String` | `sslLocation`

Fields inherited from class org.jasig.portal.layout.alm.channels.FragmentManager
`alm, fragments, themePrefs`

Fields inherited from class org.jasig.portal.channels.BaseChannel
`runtimeData, staticData`

Constructor Summary
`CContentSubscriber()`

Method Summary
`protected void` | `analyzeParameters(XSLT xslt)`
`private void` | `expandAscendents(org.w3c.dom.Node node)`
`protected java.util.Collection` | `getFragments()`
`void` | `initRegistry()`
`private void` | `passAllParameters(XSLT xslt)`
`void` | `renderXML(org.xml.sax.ContentHandler out)` Ask channel to render its content.
`void` | `setPortalControlStructures(PortalControlStructures pcs)` Passes portal control structure to the channel.

Methods inherited from class org.jasig.portal.layout.alm.channels.FragmentManager
`getFragmentList, getFragmentList, getFragmentRootId, refreshFragmentMap`

Methods inherited from class org.jasig.portal.channels.BaseChannel
`getRuntimeProperties, receiveEvent, setRuntimeData, setStaticData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### sslLocation

    private static final java.lang.String sslLocation

See Also:
  Constant Field Values

### channelRegistry

    private org.w3c.dom.Document channelRegistry

### registry

    private org.w3c.dom.Document registry

### expandedItems

    private java.util.Vector expandedItems

### condensedItems

    private java.util.Vector condensedItems

### searchFragment

    private java.lang.String searchFragment

### searchChannel

    private java.lang.String searchChannel

### searchCategory

    private java.lang.String searchCategory

### searchQuery

    private java.lang.String searchQuery

### CHANNEL

    private static final java.lang.String CHANNEL

See Also:
  Constant Field Values

### FRAGMENT

    private static final java.lang.String FRAGMENT

See Also:
  Constant Field Values

### CATEGORY

    private static final java.lang.String CATEGORY

See Also:
  Constant Field Values

### initRegistry

    private boolean initRegistry

Constructor Detail

### CContentSubscriber

    public CContentSubscriber()

Method Detail

### expandAscendents

    private void expandAscendents(org.w3c.dom.Node node)

### analyzeParameters

    protected void analyzeParameters(XSLT xslt)
                              throws PortalException

  Specified by:
    `analyzeParameters` in class `FragmentManager`
  Throws:
    `PortalException`

### passAllParameters

    private void passAllParameters(XSLT xslt)

### getFragments

    protected java.util.Collection getFragments()
                                         throws PortalException

  Specified by:
    `getFragments` in class `FragmentManager`
  Throws:
    `PortalException`

### initRegistry

    public void initRegistry()
                      throws PortalException

  Throws:
    `PortalException`

### setPortalControlStructures

    public void setPortalControlStructures(PortalControlStructures pcs)
                                    throws PortalException

  Passes portal control structure to the channel.

  Specified by:
    `setPortalControlStructures` in interface `IPrivileged`
  Overrides:
    `setPortalControlStructures` in class `FragmentManager`
  Throws:
    `PortalException`
  See Also:
    `PortalControlStructures`

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out)
                   throws PortalException

  Description copied from interface: `IChannel`
  Ask channel to render its content.

  Specified by:
    `renderXML` in interface `IChannel`
  Overrides:
    `renderXML` in class `BaseChannel`
  Parameters:
    `out` - the SAX ContentHandler to output content to
  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD